# eslint-config-nimedev-node
[![npm][npm-image]][npm-url]

[npm-image]: https://img.shields.io/npm/v/eslint-config-nimedev-node.svg
[npm-url]: https://npmjs.org/package/eslint-config-nimedev-node

> An ESLint [Shareable Config](http://eslint.org/docs/developer-guide/shareable-configs) used in NodeJS applications based in [Airbnb JavaScript Style Guide](https://github.com/airbnb/javascript).

## Installation

It requires eslint, eslint-config-airbnb-base and eslint-plugin-import

```sh
$ npm install eslint-config-nimedev-node eslint eslint-config-airbnb-base eslint-plugin-import
```

## Usage

Set your eslint config to:

```json
{
  "extends": "nimedev-node"
}
```

*Note: I omitted the `eslint-config-` prefix since it is automatically assumed by ESLint.*

### Extending the config

Simply add a `"rules"` key to your config and add your overrides there.

For example, to change the `indentation` to tabs and turn off the `no-console` rule:


```json
{
  "extends": "nimedev-node",
  "rules": {
    "indentation": "tab",
    "no-console": 0
  }
}
```

## [Changelog](CHANGELOG.md)

## [License](LICENSE.md)